DatabaseMetaDataTest (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbc

## Class DatabaseMetaDataTest

- java.lang.Object
- - TestCase
  - - net.sourceforge.jtds.jdbc.TestBase
    - - net.sourceforge.jtds.jdbc.DatabaseTestCase
      - - net.sourceforge.jtds.jdbc.MetaDataTestCase
        - - net.sourceforge.jtds.jdbc.DatabaseMetaDataTest

-     public class DatabaseMetaDataTest
      extends MetaDataTestCase

  Test `DatabaseMetaData`.
  Version:
    $Id: DatabaseMetaDataTest.java,v 1.17.2.5 2009-12-30 13:45:25 ickzon Exp $

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.jtds.jdbc.TestBase

      `con, props`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatabaseMetaDataTest(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `void` | `testBooleanOptions()` Test meta data functions that return boolean values.
    `void` | `testBug575()` Test for bug#575, parameter types aren't available via ParameterMetaData.
    `void` | `testColumnClassName()`
    `void` | `testColumnMetaData()` Test to check DatabaseMetaData.getColumns and ResultSetMetaData is equivalent.
    `void` | `testDefaultValue()` Test for bug [1825743], default value not returned for column with default value.
    `void` | `testGetColumnsMetaData()` Test for bug [1120168] jTDS 101 - TDS data type 0 invalid.
    `void` | `testGetTables()` Test for bug [998765] Exception with Sybase and metaData.getTables()
    `void` | `testGetTableTypesOrder()` Test for bug [974036] Bug in 0.8rc1 DatabaseMetaData method getTableTypes()
    `void` | `testIntOptions()` Test meta data function that return integer values.
    `void` | `testProcedureColumns()` Test for bug [1184376] Sybase getProcedureColumns bug
    `void` | `testProcedureUseLOBsFalse()` Test for bug [1245775] Column type inconsistency when useLOBs=false.
    `void` | `testResultSetMetadate()` Test for bug [1833720], invalid table names for large result sets.
    `void` | `testResultSets()` Test meta data functions that return result sets.
    `void` | `testStringOptions()` Test meta data functions that return strings.
    `void` | `testTableMetaData()` Test for bug [1023984] Protocol error processing table meta data.

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.MetaDataTestCase

      `checkColumnNames`

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.DatabaseTestCase

      `compareBytes, getLongString, getLongString, getType, getTypemap`

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.TestBase

      `compareInputStreams, compareReaders, connect, dropDatabase, dropFunction, dropProcedure, dropTable, dropTrigger, dropType, dropView, dump, dump, dumpAll, dumpKeys, dumpRow, dumpRow, getConnection, getConnection, makeObjects, makeTestTables, setUp, tearDown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DatabaseMetaDataTest

          public DatabaseMetaDataTest(java.lang.String name)

  - ### Method Detail

    - #### testBug575

          public void testBug575()
                          throws java.lang.Exception

      Test for bug#575, parameter types aren't available via ParameterMetaData.
      Throws:
        `java.lang.Exception`

    - #### testBooleanOptions

          public void testBooleanOptions()
                                  throws java.lang.Exception

      Test meta data functions that return boolean values.
      Throws:
        `java.lang.Exception`

    - #### testStringOptions

          public void testStringOptions()
                                 throws java.lang.Exception

      Test meta data functions that return strings.
      Throws:
        `java.lang.Exception`

    - #### testIntOptions

          public void testIntOptions()
                              throws java.lang.Exception

      Test meta data function that return integer values.
      Throws:
        `java.lang.Exception`

    - #### testResultSets

          public void testResultSets()
                              throws java.lang.Exception

      Test meta data functions that return result sets.
      Throws:
        `java.lang.Exception`

    - #### testGetTableTypesOrder

          public void testGetTableTypesOrder()
                                      throws java.lang.Exception

      Test for bug [974036] Bug in 0.8rc1 DatabaseMetaData method getTableTypes()
      Throws:
        `java.lang.Exception`

    - #### testGetTables

          public void testGetTables()
                             throws java.lang.Exception

      Test for bug [998765] Exception with Sybase and metaData.getTables()
      Throws:
        `java.lang.Exception`

    - #### testGetColumnsMetaData

          public void testGetColumnsMetaData()
                                      throws java.lang.Exception

      Test for bug [1120168] jTDS 101 - TDS data type 0 invalid.
      Throws:
        `java.lang.Exception`

    - #### testTableMetaData

          public void testTableMetaData()
                                 throws java.lang.Exception

      Test for bug [1023984] Protocol error processing table meta data.

      Test to demonstrate failure to process the TDS table name token correctly. Must be run with TDS=8.0.

      Throws:
        `java.lang.Exception`

    - #### testColumnClassName

          public void testColumnClassName()
                                   throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### testColumnMetaData

          public void testColumnMetaData()
                                  throws java.lang.Exception

      Test to check DatabaseMetaData.getColumns and ResultSetMetaData is equivalent. This test also checks for bug [ 1074096 ] Incorrect data type determine on dataset meta data. This is because getColumns will return a typename of timestamp which should now also be returned by the result set meta data as well.
      Throws:
        `java.lang.Exception` - if an error condition occurs

    - #### testResultSetMetadate

          public void testResultSetMetadate()
                                     throws java.lang.Exception

      Test for bug [1833720], invalid table names for large result sets.
      Throws:
        `java.lang.Exception`

    - #### testProcedureColumns

          public void testProcedureColumns()
                                    throws java.lang.Exception

      Test for bug [1184376] Sybase getProcedureColumns bug
      Throws:
        `java.lang.Exception`

    - #### testProcedureUseLOBsFalse

          public void testProcedureUseLOBsFalse()
                                         throws java.lang.Exception

      Test for bug [1245775] Column type inconsistency when useLOBs=false.
      Throws:
        `java.lang.Exception`

    - #### testDefaultValue

          public void testDefaultValue()
                                throws java.sql.SQLException

      Test for bug [1825743], default value not returned for column with default value.
      Throws:
        `java.sql.SQLException`

    - #### main

          public static void main(java.lang.String[] args)

Generated on June 8 2013